Summary:        An anycast runtime environment for the ISC BIND DNS server, named(8)
Name:           bind-anycast
Version:        0.1
Release:        3%{?_module_build:%{?dist}}
License:        MIT
URL:            http://www.isc.org/products/BIND/

#BuildRequires:  systemd

Requires:       bind
Requires:       quagga
Requires:		systemd

Provides:       named-anycast-config = %{version}-%{release}
BuildArch:      noarch

Source1:        named-anycast.sysconfig
Source2:        named-anycast.service

%description
This package contains a tree of files which can be used to setup an anycast environment.

%prep

%build

%install
# Systemd unit files
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

# Install the keys
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/named-anycast
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

%files
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/named-anycast
/%{_unitdir}/named-anycast.service

%changelog
* Sun May  5 2015 Jason Robertson
- Initial configuration
